<?php
class Discounts extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_checkout_orders' => array(
					'discount_code' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 45, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'vat'),
					'discount_total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false, 'after' => 'discount_code'),
				),
			),
			'alter_field' => array(
				'ev_checkout_orders' => array(
					'surcharge_vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '11,6', 'unsigned' => false),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_checkout_orders' => array('discount_code', 'discount_total',),
			),
			'alter_field' => array(
				'ev_checkout_orders' => array(
					'surcharge_vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '8,3', 'unsigned' => false),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function after($direction) {
		return true;
	}
}
